<pipeline>
  <kernels>
    <kernel name="mix">
kernel mix {
   void evaluatePixel(image img1, image img2, output pixel result)
   {
     result = (img1.sampleNearest( result.coord ) + img2.sampleNearest( result.coord )) * 0.5;
   }
}
    </kernel>
  </kernels>
  <source name="cmd1" />
  <source name="cmd2" />
  <source name="cmd3" />
  <shiva name="mix1">
    <use name="cmd1" />
    <use name="cmd2" />
    <kernel name="mix" />
  </shiva>
  <shiva name="mix2">
    <use name="mix1" />
    <use name="cmd3" />
    <kernel name="mix" />
  </shiva>
  <destination>
    <use name="mix2" />
  </destination>
</pipeline>